org.eclipse.graphiti.ui.internal.parts.directedit

## Class ContentProposalProvider

- java.lang.Object
- - org.eclipse.graphiti.ui.internal.parts.directedit.ContentProposalProvider

All Implemented Interfaces:
  org.eclipse.jface.fieldassist.IContentProposalProvider

    public class ContentProposalProvider
    extends java.lang.Object
    implements org.eclipse.jface.fieldassist.IContentProposalProvider

### Constructor Summary

Constructors
Constructor and Description
`ContentProposalProvider(IDirectEditHolder directEditHolder)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.jface.fieldassist.IContentProposal[]` `getProposals(java.lang.String contents, int position)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContentProposalProvider

    public ContentProposalProvider(IDirectEditHolder directEditHolder)

### Method Detail

#### getProposals

    public org.eclipse.jface.fieldassist.IContentProposal[] getProposals(java.lang.String contents,
                                                                         int position)

Specified by:
  `getProposals` in interface `org.eclipse.jface.fieldassist.IContentProposalProvider`